#!/bin/sh

VES=75
VER=7.5

for ARCH in alpha amd64 arm64 armv7 hppa i386 landisk loongson luna88k macppc octeon powerpc64 riscv64 sparc64; do
  mkdir -p ${VER}/${ARCH}
  odl -op ${VER}/${ARCH}/bsd http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/bsd
  odl -op ${VER}/${ARCH}/bsd.mp http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/bsd.mp
  odl -op ${VER}/${ARCH}/bsd.rd http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/bsd.rd
  odl -op ${VER}/${ARCH}/base${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/base${VES}.tgz
  odl -op ${VER}/${ARCH}/comp${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/comp${VES}.tgz
  odl -op ${VER}/${ARCH}/game${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/game${VES}.tgz
  odl -op ${VER}/${ARCH}/man${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/man${VES}.tgz
  odl -op ${VER}/${ARCH}/xbase${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/xbase${VES}.tgz
  odl -op ${VER}/${ARCH}/xfont${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/xfont${VES}.tgz
  odl -op ${VER}/${ARCH}/xserv${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/xserv${VES}.tgz
  odl -op ${VER}/${ARCH}/xshare${VES}.tgz http://cdn.openbsd.org/pub/OpenBSD/${VER}/${ARCH}/xshare${VES}.tgz
done
